## swiftlang 6.2.3

=== indexstore-db/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15.1)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

project(IndexStoreDB
  LANGUAGES C CXX Swift)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED YES)
set(CMAKE_CXX_EXTENSIONS NO)

set(CMAKE_POSITION_INDEPENDENT_CODE YES)

find_package(dispatch CONFIG)
find_package(Foundation CONFIG)
find_package(LMDB CONFIG)

include(SwiftSupport)

add_subdirectory(Sources)
add_subdirectory(cmake/modules)

=== swift-driver/CMakeLists.txt ===
# This source file is part of the Swift.org open source project
#
# Copyright (c) 2014 - 2019 Apple Inc. and the Swift project authors
# Licensed under Apache License v2.0 with Runtime Library Exception
#
# See http://swift.org/LICENSE.txt for license information
# See http://swift.org/CONTRIBUTORS.txt for Swift project authors

cmake_minimum_required(VERSION 3.19.6)

if(POLICY CMP0077)
  cmake_policy(SET CMP0077 NEW)
endif()

if(POLICY CMP0091)
  cmake_policy(SET CMP0091 NEW)
endif()

project(SwiftDriver
  LANGUAGES C CXX Swift)

set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

set(CMAKE_MACOSX_RPATH YES)
set(CMAKE_MSVC_RUNTIME_LIBRARY MultiThreadedDLL)
list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

set(CMAKE_Swift_COMPILE_OPTIONS_MSVC_RUNTIME_LIBRARY MultiThreadedDLL)
set(CMAKE_Swift_LANGUAGE_VERSION 5)
set(CMAKE_Swift_MODULE_DIRECTORY ${CMAKE_BINARY_DIR}/swift)

# Generate build-ids
if(NOT CMAKE_SYSTEM_NAME STREQUAL "Darwin"
    AND NOT CMAKE_SYSTEM_NAME STREQUAL "Windows")
  add_link_options("LINKER:--build-id=sha1")
endif()

# ensure Swift compiler can find _CSwiftScan
add_compile_options($<$<COMPILE_LANGUAGE:Swift>:-I$<SEMICOLON>${CMAKE_CURRENT_SOURCE_DIR}/Sources/CSwiftScan/include>)

option(BUILD_SHARED_LIBS "Build shared libraries by default" YES)
option(SWIFT_DRIVER_BUILD_TOOLS "Build makeOption" NO)

# Toolchain Vended Dependencies
find_package(dispatch QUIET)
find_package(Foundation QUIET)

include(FetchContent)

set(VendoredDependencies)

find_package(ArgumentParser CONFIG)
if(NOT ArgumentParser_FOUND)
  message("-- Vending swift-argument-parser")
  FetchContent_Declare(ArgumentParser
    GIT_REPOSITORY https://github.com/apple/swift-argument-parser
    GIT_TAG 1.2.3)
  list(APPEND VendoredDependencies ArgumentParser)
endif()

find_package(LLBuild CONFIG)
if(NOT LLBuild_FOUND)
  if(APPLE)
    find_package(LLBuild REQUIRED)
  else()
    message("-- Vending swift-llbuild")
    set(LLBUILD_SUPPORT_BINDINGS Swift)
    FetchContent_Declare(LLBuild
      GIT_REPOSITORY https://github.com/apple/swift-llbuild
      GIT_TAG main)
    list(APPEND VendoredDependencies LLBuild)
  endif()
endif()

find_package(TSC CONFIG)
if(NOT TSC_FOUND)
  message("-- Vending swift-tools-support-core")
  FetchContent_Declare(ToolsSupportCore
    GIT_REPOSITORY https://github.com/apple/swift-tools-support-core
    GIT_TAG main)
  list(APPEND VendoredDependencies ToolsSupportCore)
endif()

set(_SD_SAVED_BUILD_TESTING ${BUILD_TESTING})
set(_SD_SAVED_BUILD_EXAMPLES ${BUILD_EXAMPLES})

set(BUILD_TESTING NO)
set(BUILD_EXAMPLES NO)

FetchContent_MakeAvailable(${VendoredDependencies})

set(BUILD_TESTING ${_SD_SAVED_BUILD_TESTING})
set(BUILD_EXAMPLES ${_SD_SAVED_BUILD_EXAMPLES})

add_subdirectory(Sources)
add_subdirectory(cmake/modules)

=== swift-foundation/CMakeLists.txt ===
##===----------------------------------------------------------------------===##
##
## This source file is part of the Swift open source project
##
## Copyright (c) 2024 Apple Inc. and the Swift project authors
## Licensed under Apache License v2.0
##
## See LICENSE.txt for license information
## See CONTRIBUTORS.md for the list of Swift project authors
##
## SPDX-License-Identifier: Apache-2.0
##
##===----------------------------------------------------------------------===##

cmake_minimum_required(VERSION 3.24)

if(POLICY CMP0156)
    # Deduplicate linked libraries where appropriate
    cmake_policy(SET CMP0156 NEW)
endif()

if(POLICY CMP0157)
    # New Swift build model: improved incremental build performance and LSP support
    cmake_policy(SET CMP0157 NEW)
endif()

project(SwiftFoundation
    LANGUAGES C Swift)

if(NOT SWIFT_SYSTEM_NAME)
  if(CMAKE_SYSTEM_NAME STREQUAL Darwin)
    set(SWIFT_SYSTEM_NAME macosx)
  else()
    set(SWIFT_SYSTEM_NAME "$<LOWER_CASE:${CMAKE_SYSTEM_NAME}>")
  endif()
endif()

# Don't enable WMO on Windows hosts due to linker failures, and the use of swift's
# old driver from build.ps1 when building for windows/android on a windows host.
if(NOT CMAKE_HOST_SYSTEM_NAME STREQUAL Windows)
    # Enable whole module optimization for release builds & incremental for debug builds
    if(POLICY CMP0157)
        set(CMAKE_Swift_COMPILATION_MODE "$<IF:$<CONFIG:Release>,wholemodule,incremental>")
    else()
        add_compile_options($<$<AND:$<COMPILE_LANGUAGE:Swift>,$<CONFIG:Release>>:-wmo>)
    endif()
endif()

if(CMAKE_SYSTEM_NAME STREQUAL Linux)
    # Pass -fno-omit-frame-pointer while compiling for better backtraces
    add_compile_options(
        "$<$<COMPILE_LANGUAGE:Swift>:SHELL:-Xcc -fno-omit-frame-pointer>"
        "$<$<COMPILE_LANGUAGE:C,CXX>:-fno-omit-frame-pointer>")
endif()

set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)
set(CMAKE_Swift_MODULE_DIRECTORY ${CMAKE_BINARY_DIR}/swift)

set(BUILD_TESTING NO)

set(COLLECTIONS_SINGLE_MODULE YES)
set(COLLECTIONS_FOUNDATION_TOOLCHAIN_MODULE YES)

set(SwiftFoundation_MACRO "" CACHE STRING "Path to Foundation macro plugin")

# Make sure our dependencies exists
include(FetchContent)
if (_SwiftFoundationICU_SourceDIR)
    message(STATUS "_SwiftFoundationICU_SourceDIR provided, using swift-foundation-icu checkout at ${_SwiftFoundationICU_SourceDIR}")
    FetchContent_Declare(SwiftFoundationICU
        SOURCE_DIR ${_SwiftFoundationICU_SourceDIR})
else()
    message(STATUS "_SwiftFoundationICU_SourceDIR not provided, checking out local copy of swift-foundation-icu")
    FetchContent_Declare(SwiftFoundationICU
        GIT_REPOSITORY https://github.com/apple/swift-foundation-icu.git
        GIT_TAG release/6.2)
endif()

if (_SwiftCollections_SourceDIR)
    message(STATUS "_SwiftCollections_SourceDIR provided, using swift-foundation-icu checkout at ${_SwiftCollections_SourceDIR}")
    FetchContent_Declare(SwiftCollections
        SOURCE_DIR ${_SwiftCollections_SourceDIR})
else()
    message(STATUS "_SwiftCollections_SourceDIR not provided, checking out local copy of swift-collections")
    FetchContent_Declare(SwiftCollections
        GIT_REPOSITORY https://github.com/apple/swift-collections.git
        GIT_TAG 1.1.2)
endif()
FetchContent_MakeAvailable(SwiftFoundationICU SwiftCollections)

list(APPEND CMAKE_MODULE_PATH ${SwiftFoundation_SOURCE_DIR}/cmake/modules)

# Availability Macros (only applies to FoundationEssentials and FoundationInternationalization)
set(_SwiftFoundation_BaseAvailability "macOS 15, iOS 18, tvOS 18, watchOS 11")
set(_SwiftFoundation_FutureAvailability "macOS 10000, iOS 10000, tvOS 10000, watchOS 10000")

# All versions to define for each availability name
list(APPEND _SwiftFoundation_versions
    "6.0.2"
    "6.1"
    "6.2"
    )

# Each availability name to define
list(APPEND _SwiftFoundation_availability_names
    "FoundationPreview")

# The aligned availability for each name (in the same order)
list(APPEND _SwiftFoundation_availability_releases
    ${_SwiftFoundation_BaseAvailability})

foreach(version ${_SwiftFoundation_versions})
    foreach(name release IN ZIP_LISTS _SwiftFoundation_availability_names _SwiftFoundation_availability_releases)
        if(NOT DEFINED name OR NOT DEFINED release)
            message(FATAL_ERROR "_SwiftFoundation_availability_names and _SwiftFoundation_availability_releases are not the same length")
        endif()

        list(APPEND _SwiftFoundation_availability_macros
            "SHELL:$<$<COMPILE_LANGUAGE:Swift>:-Xfrontend -enable-experimental-feature -Xfrontend \"AvailabilityMacro=${name} ${version}:${release}\">")
    endforeach()
endforeach()

# wasi-libc emulation feature flags passed to the Swift compiler
set(_SwiftFoundation_wasi_libc_flags)
# wasi-libc emulation libraries to link against when building a shared library
set(_SwiftFoundation_wasi_libc_libraries)
if(CMAKE_SYSTEM_NAME STREQUAL "WASI")
    list(APPEND _SwiftFoundation_wasi_libc_flags
        "SHELL:$<$<COMPILE_LANGUAGE:Swift>:-Xcc -D_WASI_EMULATED_GETPID>"
        "SHELL:$<$<COMPILE_LANGUAGE:Swift>:-Xcc -D_WASI_EMULATED_SIGNAL>"
        "SHELL:$<$<COMPILE_LANGUAGE:Swift>:-Xcc -D_WASI_EMULATED_MMAN>")
    if(BUILD_SHARED_LIBS)
        # Link emulation libraries to the shared library directly when building a shared library
        list(APPEND _SwiftFoundation_wasi_libc_libraries wasi-emulated-getpid wasi-emulated-signal wasi-emulated-mman)
    else()
        # Emit autolink entries to let clients to link against the emulation libraries
        list(APPEND _SwiftFoundation_wasi_libc_flags
            "SHELL:$<$<COMPILE_LANGUAGE:Swift>:-Xfrontend -public-autolink-library -Xfrontend wasi-emulated-getpid>"
            "SHELL:$<$<COMPILE_LANGUAGE:Swift>:-Xfrontend -public-autolink-library -Xfrontend wasi-emulated-signal>"
            "SHELL:$<$<COMPILE_LANGUAGE:Swift>:-Xfrontend -public-autolink-library -Xfrontend wasi-emulated-mman>")
    endif()
endif()

include(GNUInstallDirs)
include(SwiftFoundationSwiftSupport)

add_subdirectory(Sources)
add_subdirectory(cmake/modules)

=== swiftpm/CMakeLists.txt ===
# This source file is part of the Swift open source project
#
# Copyright (c) 2014 - 2021 Apple Inc. and the Swift project authors
# Licensed under Apache License v2.0 with Runtime Library Exception
#
# See http://swift.org/LICENSE.txt for license information
# See http://swift.org/CONTRIBUTORS.txt for Swift project authors

if(POLICY CMP0091)
  cmake_policy(SET CMP0091 NEW)
endif()

cmake_minimum_required(VERSION 3.24)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

project(SwiftPM LANGUAGES C Swift)

option(BUILD_SHARED_LIBS "Build shared libraries by default" YES)
option(FIND_PM_DEPS "Search for all external Package Manager dependencies" YES)

set(CMAKE_Swift_LANGUAGE_VERSION 5)
set(CMAKE_Swift_MODULE_DIRECTORY ${CMAKE_BINARY_DIR}/swift)
set(CMAKE_Swift_COMPILE_OPTIONS_MSVC_RUNTIME_LIBRARY MultiThreadedDLL)

set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

set(CMAKE_MSVC_RUNTIME_LIBRARY MultiThreadedDLL)
set(CMAKE_POSITION_INDEPENDENT_CODE ${BUILD_SHARED_LIBS})

if(FIND_PM_DEPS)
  find_package(SwiftSystem CONFIG REQUIRED)
  find_package(TSC CONFIG REQUIRED)

  find_package(LLBuild CONFIG)
  if(NOT LLBuild_FOUND)
    find_package(LLBuild REQUIRED)
  endif()

  find_package(ArgumentParser CONFIG REQUIRED)
  find_package(SwiftDriver CONFIG REQUIRED)
  find_package(SwiftCollections CONFIG REQUIRED)
  find_package(SwiftASN1 CONFIG REQUIRED)
  find_package(SwiftCertificates CONFIG REQUIRED)
  find_package(SwiftCrypto CONFIG REQUIRED)
  find_package(SwiftBuild CONFIG REQUIRED)
endif()

find_package(dispatch QUIET)
find_package(Foundation QUIET)
find_package(SQLite3 REQUIRED)

# Enable `package` modifier for the whole package.
add_compile_options("$<$<COMPILE_LANGUAGE:Swift>:SHELL:-package-name swift_package_manager>")
if(CMAKE_SYSTEM_NAME STREQUAL FreeBSD)
  link_directories(/usr/local/lib)
endif()

add_subdirectory(BuildSupport/SwiftSyntax)
add_subdirectory(Sources)
add_subdirectory(cmake/modules)

=== indexstore-db/Sources/CMakeLists.txt ===
add_subdirectory(IndexStoreDB_LLVMSupport)
add_subdirectory(IndexStoreDB_Support)
add_subdirectory(IndexStoreDB_Core)
add_subdirectory(IndexStoreDB_Database)
add_subdirectory(IndexStoreDB_Index)
add_subdirectory(IndexStoreDB_CIndexStoreDB)
add_subdirectory(IndexStoreDB)

=== llvm-project/lldb/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.20.0)
set(LLVM_SUBPROJECT_TITLE "LLDB")

if(NOT DEFINED LLVM_COMMON_CMAKE_UTILS)
  set(LLVM_COMMON_CMAKE_UTILS ${CMAKE_CURRENT_SOURCE_DIR}/../cmake)
endif()
include(${LLVM_COMMON_CMAKE_UTILS}/Modules/CMakePolicy.cmake
  NO_POLICY_SCOPE)

# Add path for custom modules.
set(CMAKE_MODULE_PATH
  ${CMAKE_MODULE_PATH}
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake"
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules"
  )

# If we are not building as part of LLVM, build LLDB as a standalone project,
# using LLVM as an external library.
if (CMAKE_SOURCE_DIR STREQUAL CMAKE_CURRENT_SOURCE_DIR)
  project(lldb)
  set(LLDB_BUILT_STANDALONE TRUE)
  set(LLVM_INCLUDE_TESTS ON CACHE INTERNAL "")
endif()

# Must go below project(..)
include(GNUInstallDirs)

option(LLDB_INCLUDE_TESTS "Generate build targets for the LLDB unit tests." ${LLVM_INCLUDE_TESTS})

# BEGIN SWIFT MOD
set(DEFAULT_LLDB_SWIFT_SUPPORT ON)
if (LLVM_TARGET_IS_CROSSCOMPILE_HOST)
  set(DEFAULT_LLDB_SWIFT_SUPPORT OFF)
endif()
option(LLDB_ENABLE_SWIFT_SUPPORT "Enable swift support" ${DEFAULT_LLDB_SWIFT_SUPPORT})
# END SWIFT MOD

if(LLDB_BUILT_STANDALONE)
  set(CMAKE_CXX_STANDARD 17 CACHE STRING "C++ standard to conform to")
  set(CMAKE_CXX_STANDARD_REQUIRED YES)
  set(CMAKE_CXX_EXTENSIONS NO)

  include(LLDBStandalone)
else()
  set(SWIFT_BINARY_DIR ${CMAKE_BINARY_DIR})
  set(SWIFT_INCLUDE_DIR ${CMAKE_SOURCE_DIR}/include)
  set(SWIFT_LIBRARY_DIR "${CMAKE_BINARY_DIR}/${CMAKE_CFG_INTDIR}/lib")
endif()

include(LLDBConfig)
include(AddLLDB)

# BEGIN - Swift Mods
if (LLDB_ENABLE_SWIFT_SUPPORT)
  if(EXISTS "${LLVM_EXTERNAL_SWIFT_SOURCE_DIR}")
     cmake_path(CONVERT "${LLVM_EXTERNAL_SWIFT_SOURCE_DIR}" TO_CMAKE_PATH_LIST NORMALIZED_LLVM_EXTERNAL_SWIFT_SOURCE_DIR NORMALIZE)
     list(APPEND CMAKE_MODULE_PATH
          "${NORMALIZED_LLVM_EXTERNAL_SWIFT_SOURCE_DIR}/cmake"
          "${NORMALIZED_LLVM_EXTERNAL_SWIFT_SOURCE_DIR}/cmake/modules")
  elseif(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/../swift)
     list(APPEND CMAKE_MODULE_PATH
          "${CMAKE_CURRENT_SOURCE_DIR}/../swift/cmake"
          "${CMAKE_CURRENT_SOURCE_DIR}/../swift/cmake/modules")
  endif()
endif()

# Define the LLDB_CONFIGURATION_xxx matching the build type.
if(uppercase_CMAKE_BUILD_TYPE STREQUAL "DEBUG" )
  add_definitions(-DLLDB_CONFIGURATION_DEBUG)
endif()

if (WIN32)
  add_definitions(-D_ENABLE_EXTENDED_ALIGNED_STORAGE)
  if (NOT MSVC)
    # _BSD_SOURCE is required for MinGW's getopt.h to define optreset
    add_definitions(-D_BSD_SOURCE)
  endif()
endif()

if (LLDB_ENABLE_PYTHON)
  set(cachestring_LLDB_PYTHON_RELATIVE_PATH
    "Path where Python modules are installed, relative to LLDB's install prefix")
  set(cachestring_LLDB_PYTHON_EXE_RELATIVE_PATH
    "Path to python interpreter exectuable, relative to python's install prefix")
  set(cachestring_LLDB_PYTHON_EXT_SUFFIX
    "Filename extension for native code python modules")

  foreach(var LLDB_PYTHON_RELATIVE_PATH LLDB_PYTHON_EXE_RELATIVE_PATH LLDB_PYTHON_EXT_SUFFIX)
    if(NOT DEFINED ${var} AND NOT CMAKE_CROSSCOMPILING)
      execute_process(
        COMMAND ${Python3_EXECUTABLE}
          ${CMAKE_CURRENT_SOURCE_DIR}/bindings/python/get-python-config.py
          ${var}
        OUTPUT_VARIABLE value
        OUTPUT_STRIP_TRAILING_WHITESPACE)
      file(TO_CMAKE_PATH "${value}" value)
      set(${var} ${value} CACHE STRING ${cachestring_${var}})
    else()
      if ("${${var}}" STREQUAL "")
        message(FATAL_ERROR
          "Crosscompiling LLDB with Python requires manually setting ${var}.")
      endif()
    endif()
  endforeach()
  # Make sure lldb extension has "_d" suffix on Windows in Debug mode.
  if(WIN32 AND CMAKE_BUILD_TYPE STREQUAL Debug)
    string(SUBSTRING ${LLDB_PYTHON_EXT_SUFFIX} 0 2 FIRST_2_CHARS)
    # Add "_d" manually if LLDB_PYTHON_EXT_SUFFIX lacks it due to release Python configuration.
    if(NOT FIRST_2_CHARS STREQUAL "_d")
      set(LLDB_PYTHON_EXT_SUFFIX "_d${LLDB_PYTHON_EXT_SUFFIX}")
    endif()
  endif()
  if(TARGET Python3::Python)
    get_target_property(_Python3_LIB_PATH Python3::Python IMPORTED_LIBRARY_LOCATION)
    if(_Python3_LIB_PATH)
      get_filename_component(LLDB_PYTHON_RUNTIME_LIBRARY_FILENAME "${_Python3_LIB_PATH}" NAME)
    endif()
  endif()
endif ()

if (LLDB_ENABLE_LUA)
  set(LLDB_LUA_DEFAULT_RELATIVE_PATH "lib/lua/${LUA_VERSION_MAJOR}.${LUA_VERSION_MINOR}")
  set(LLDB_LUA_RELATIVE_PATH ${LLDB_LUA_DEFAULT_RELATIVE_PATH}
    CACHE STRING "Path where Lua modules are installed, relative to install prefix")
endif ()

if (LLDB_ENABLE_PYTHON OR LLDB_ENABLE_LUA)
  add_subdirectory(bindings)
endif ()

# We need the headers generated by instrinsics_gen before we can compile
# any source file in LLDB as the imported Clang modules might include
# some of these generated headers. This approach is copied from Clang's main
# CMakeLists.txt, so it should kept in sync the code in Clang which was added
# in llvm-svn 308844.
if(LLVM_ENABLE_MODULES)
  list(APPEND LLVM_COMMON_DEPENDS intrinsics_gen)
endif()

if(CMAKE_CROSSCOMPILING AND LLDB_BUILT_STANDALONE AND NOT LLDB_TABLEGEN_EXE)
  set(LLVM_USE_HOST_TOOLS ON)
  include(CrossCompile)
  if (NOT LLDB_PATH_TO_NATIVE_SWIFT_BUILD OR
      NOT NATIVE_LLVM_DIR OR
      NOT NATIVE_Clang_DIR)
    message(FATAL_ERROR
      "Crosscompiling standalone requires the variables LLDB_PATH_TO_NATIVE_{SWIFT,CLANG,LLVM}_BUILD
      for building the native lldb-tblgen used during the build process.")
  endif()
  llvm_create_cross_target(lldb NATIVE "" Release
    -DSwift_DIR=${LLDB_PATH_TO_NATIVE_SWIFT_BUILD}
    -DLLVM_DIR=${NATIVE_LLVM_DIR}
    -DClang_DIR=${NATIVE_Clang_DIR})
endif()

# TableGen
add_subdirectory(utils/TableGen)

add_subdirectory(source)
add_subdirectory(tools)
add_subdirectory(docs)

if (LLDB_ENABLE_PYTHON)
  if(LLDB_BUILD_FRAMEWORK)
    set(lldb_python_target_dir "${LLDB_FRAMEWORK_ABSOLUTE_BUILD_DIR}/LLDB.framework/Resources/Python/lldb")
  else()
    set(lldb_python_target_dir "${CMAKE_BINARY_DIR}/${CMAKE_CFG_INTDIR}/${LLDB_PYTHON_RELATIVE_PATH}/lldb")
  endif()
  get_target_property(lldb_python_bindings_dir swig_wrapper_python BINARY_DIR)
  finish_swig_python("lldb-python" "${lldb_python_bindings_dir}" "${lldb_python_target_dir}")
endif()

if (LLDB_ENABLE_LUA)
  if(LLDB_BUILD_FRAMEWORK)
    set(LLDB_LUA_CPATH "${LLDB_FRAMEWORK_ABSOLUTE_BUILD_DIR}/LLDB.framework/Resources/Lua")
  else()
    set(LLDB_LUA_CPATH "${CMAKE_BINARY_DIR}/${CMAKE_CFG_INTDIR}/${LLDB_LUA_RELATIVE_PATH}")
  endif()
  get_target_property(lldb_lua_bindings_dir swig_wrapper_lua BINARY_DIR)
  finish_swig_lua("lldb-lua" "${lldb_lua_bindings_dir}" "${LLDB_LUA_CPATH}")
endif()

set(LLDB_INCLUDE_UNITTESTS ON)
if (NOT TARGET llvm_gtest)
  set(LLDB_INCLUDE_UNITTESTS OFF)
endif()

if(LLDB_INCLUDE_TESTS)
  add_subdirectory(test)
  if (LLDB_INCLUDE_UNITTESTS)
    add_subdirectory(unittests)
  endif()
  add_subdirectory(utils)
endif()

if(LLDB_BUILT_STANDALONE AND NOT LLVM_ENABLE_IDE)
  llvm_distribution_add_targets()
endif()

=== swiftpm/Sources/CMakeLists.txt ===
# This source file is part of the Swift open source project
#
# Copyright (c) 2014 - 2024 Apple Inc. and the Swift project authors
# Licensed under Apache License v2.0 with Runtime Library Exception
#
# See http://swift.org/LICENSE.txt for license information
# See http://swift.org/CONTRIBUTORS.txt for Swift project authors

add_compile_definitions(USE_IMPL_ONLY_IMPORTS)

add_subdirectory(_AsyncFileSystem)
add_subdirectory(Basics)
add_subdirectory(BinarySymbols)
add_subdirectory(Build)
add_subdirectory(Commands)
add_subdirectory(CompilerPluginSupport)
add_subdirectory(CoreCommands)
add_subdirectory(DriverSupport)
add_subdirectory(LLBuildManifest)
add_subdirectory(PackageCollections)
add_subdirectory(PackageCollectionsModel)
add_subdirectory(PackageCollectionsSigning)
add_subdirectory(PackageDescription)
add_subdirectory(PackageFingerprint)
add_subdirectory(PackageGraph)
add_subdirectory(PackageLoading)
add_subdirectory(PackageModel)
add_subdirectory(PackageModelSyntax)
add_subdirectory(PackagePlugin)
add_subdirectory(PackageRegistry)
add_subdirectory(PackageRegistryCommand)
add_subdirectory(PackageSigning)
add_subdirectory(QueryEngine)
add_subdirectory(SourceControl)
add_subdirectory(SourceKitLSPAPI)
add_subdirectory(SPMBuildCore)
add_subdirectory(SPMLLBuild)
add_subdirectory(SPMSQLite3)
add_subdirectory(SwiftFixIt)
add_subdirectory(swift-bootstrap)
add_subdirectory(swift-build)
add_subdirectory(swift-experimental-sdk)
add_subdirectory(swift-sdk)
add_subdirectory(swift-package)
add_subdirectory(swift-run)
add_subdirectory(swift-test)
add_subdirectory(SwiftSDKCommand)
add_subdirectory(Workspace)
add_subdirectory(XCBuildSupport)
add_subdirectory(SwiftBuildSupport)
add_subdirectory(tsan_utils)

=== indexstore-db/Sources/IndexStoreDB_CIndexStoreDB/CMakeLists.txt ===
add_library(CIndexStoreDB STATIC
  CIndexStoreDB.cpp)
target_compile_options(CIndexStoreDB PRIVATE
  -fblocks)
target_include_directories(CIndexStoreDB PUBLIC
 include)
target_link_libraries(CIndexStoreDB PRIVATE
  Index)
if(NOT CMAKE_SYSTEM_NAME STREQUAL Darwin)
  target_link_libraries(CIndexStoreDB PRIVATE
    dispatch)
endif()

if(NOT BUILD_SHARED_LIBS)
  set_property(GLOBAL APPEND PROPERTY IndexStoreDB_EXPORTS CIndexStoreDB)
endif()

=== indexstore-db/Sources/IndexStoreDB_Core/CMakeLists.txt ===
add_library(Core STATIC
  Symbol.cpp)
target_include_directories(Core PUBLIC
  include)
target_link_libraries(Core PUBLIC
  Support)

if(NOT BUILD_SHARED_LIBS)
  set_property(GLOBAL APPEND PROPERTY IndexStoreDB_EXPORTS Core)
endif()

=== indexstore-db/Sources/IndexStoreDB_Database/CMakeLists.txt ===
add_library(Database STATIC
  Database.cpp
  DatabaseError.cpp
  ImportTransaction.cpp
  ReadTransaction.cpp)
target_compile_definitions(Database PRIVATE
  _CRT_NONSTDC_NO_WARNINGS
  _CRT_SECURE_NO_WARNINGS)
target_compile_options(Database PRIVATE
  -fblocks)
target_include_directories(Database PUBLIC
  include)
target_link_libraries(Database PUBLIC
  Core
  LLVMSupport
  Support)
target_link_libraries(Database PRIVATE
  LMDB::CLMDB)
if(NOT CMAKE_SYSTEM_NAME STREQUAL Darwin)
  target_link_libraries(Database PRIVATE
    dispatch)
endif()

if(NOT BUILD_SHARED_LIBS)
  set_property(GLOBAL APPEND PROPERTY IndexStoreDB_EXPORTS Database)
endif()

=== indexstore-db/Sources/IndexStoreDB_Index/CMakeLists.txt ===
add_library(Index STATIC
  FilePathIndex.cpp
  FileVisibilityChecker.cpp
  IndexDatastore.cpp
  indexstore_functions.def
  IndexStoreLibraryProvider.cpp
  IndexSystem.cpp
  StoreSymbolRecord.cpp
  SymbolIndex.cpp)
target_compile_options(Index PRIVATE
  -fblocks)
target_include_directories(Index PUBLIC
  include)
target_link_libraries(Index PUBLIC
  Database
  LLVMSupport
  Support)
target_link_libraries(Index PRIVATE
  Core)
if(NOT CMAKE_SYSTEM_NAME STREQUAL Darwin)
  target_link_libraries(Index PRIVATE
    dispatch)
endif()

if(NOT BUILD_SHARED_LIBS)
  set_property(GLOBAL APPEND PROPERTY IndexStoreDB_EXPORTS Index)
endif()

=== indexstore-db/Sources/IndexStoreDB_LLVMSupport/CMakeLists.txt ===
add_library(LLVMSupport STATIC
  AArch64TargetParser.cpp
  Allocator.cpp
  APFloat.cpp
  APInt.cpp
  APSInt.cpp
  ARMTargetParser.cpp
  Atomic.cpp
  Chrono.cpp
  circular_raw_ostream.cpp
  CommandLine.cpp
  ConvertUTF.cpp
  ConvertUTFWrapper.cpp
  Debug.cpp
  DJB.cpp
  Errno.cpp
  Error.cpp
  ErrorHandling.cpp
  FileUtilities.cpp
  FoldingSet.cpp
  FormatVariadic.cpp
  Hashing.cpp
  Host.cpp
  JSON.cpp
  LineIterator.cpp
  Locale.cpp
  ManagedStatic.cpp
  MathExtras.cpp
  MD5.cpp
  MemoryBuffer.cpp
  Memory.cpp
  Mutex.cpp
  NativeFormatting.cpp
  Optional.cpp
  Options.cpp
  Path.cpp
  PrettyStackTrace.cpp
  Process.cpp
  Program.cpp
  raw_ostream.cpp
  Signals.cpp
  Signposts.cpp
  SmallPtrSet.cpp
  SmallVector.cpp
  SourceMgr.cpp
  Statistic.cpp
  StringExtras.cpp
  StringMap.cpp
  StringRef.cpp
  StringSaver.cpp
  TargetParser.cpp
  Threading.cpp
  Timer.cpp
  ToolOutputFile.cpp
  Triple.cpp
  Twine.cpp
  UnicodeCaseFold.cpp
  Unicode.cpp
  Valgrind.cpp
  VersionTuple.cpp
  Watchdog.cpp
  WithColor.cpp
  YAMLParser.cpp
  YAMLTraits.cpp)
target_compile_definitions(LLVMSupport PUBLIC
  LLVM_ENABLE_EXCEPTIONS=1)
if(CMAKE_CXX_SIMULATE_ID MATCHES MSVC)
  target_compile_options(LLVMSupport PUBLIC
    /EHsc
    /GR)
endif()
target_include_directories(LLVMSupport PUBLIC
 include)

if(NOT BUILD_SHARED_LIBS)
  set_property(GLOBAL APPEND PROPERTY IndexStoreDB_EXPORTS LLVMSupport)
endif()

=== debian/changelog ===
swiftlang (6.2.3-1) unstable; urgency=medium

  * New upstream version.

 -- Steve Meliza <swm@swm1.com>  Wed, 28 Jan 2026 22:12:35 -0800

swiftlang (6.1.3-4) unstable; urgency=medium

  * d/control - Remove version requirement on swiftlang-dev build dep
  * d/libswiftlang.install - Add CXX interop libraries

 -- Steve Meliza <swm@swm1.com>  Sun, 18 Jan 2026 17:49:14 -0800

swiftlang (6.1.3-3) unstable; urgency=medium

  [ Steve Meliza ]
  * d/patches - Fix for -wParenthesis warning turning into an error
  * d/patches - Fix int to uint32_t implicit conversion error
  * d/po - Add Catalan ca.po (Closes: #1123939)
     Thanks to Carles Pina i Estany <carles@pina.cat>

 -- Steve Meliza <swm@swm1.com>  Wed, 24 Dec 2025 20:54:54 -0800

swiftlang (6.1.3-2) unstable; urgency=medium

  [ Steve Meliza ]
  * d/patches - Fix for glibc 2.42 by removing use of termio

  [ Sylvestre Ledru ]
  * d/rules - enable the verbose build (Closes: #1119339)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 17 Nov 2025 08:50:00 +0100

=== debian/control ===
Source: swiftlang
Section: devel
Priority: optional
Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
Uploaders: Steve Meliza <swm@swm1.com>
Build-Depends: debhelper-compat (= 13),
               swiftlang (>=6.1.3),
               swiftlang-dev,
               clang,
               cmake (>= 3.24.2),
               ninja-build (>= 1.12.1),
               binutils-gold,
               swig,
               rsync,
               python3,
               python3-dev,
               python3-distro,
               python3-setuptools,
               python3-six,
               python3-psutil [arm64],
               libbsd-dev,
               libxml2-dev,
               libsqlite3-dev,
               libcurl4-openssl-dev,
               uuid-dev,
               libedit-dev,
               libicu-dev,
               po-debconf,
               zlib1g-dev,
               libcrypt-dev
Build-Conflicts: python3-swiftclient
Standards-Version: 4.7.3
Homepage: https://www.swift.org
Vcs-Browser: https://salsa.debian.org/pkg-llvm-team/swiftlang/
Vcs-Git: https://salsa.debian.org/pkg-llvm-team/swiftlang.git
Rules-Requires-Root: no

Package: swiftlang
Architecture: amd64 arm64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         debconf,
         binutils,
         gcc,
         libswiftlang (= ${binary:Version})
Suggests: python3,
          swiftlang-dev,
          swiftlang-doc,
          wasi-libc
Description: general-purpose compiled programming language
 Swift is a general-purpose, multi-paradigmed, compiled
 programming language built using a modern approach to safety,
 performance, and software design patterns.
 .
 The goal of the Swift project is to create the best available
 language for uses ranging from systems programming, to mobile
 and desktop apps, scaling up to cloud services. Most
 importantly, Swift is designed to make writing and maintaining
 correct programs easier for the developer.

Package: libswiftlang
Architecture: amd64 arm64
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: no
Description: general-purpose compiled programming language - Runtime Libraries
 Swift is a general-purpose, multi-paradigmed, compiled
 programming language built using a modern approach to safety,
 performance, and software design patterns.
 .
 The goal of the Swift project is to create the best available
 language for uses ranging from systems programming, to mobile
 and desktop apps, scaling up to cloud services. Most
 importantly, Swift is designed to make writing and maintaining
 correct programs easier for the developer.
 .
 This package contains the Swift runtime libraries.

Package: swiftlang-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libswiftlang (>= ${source:Version}),
         swiftlang (>= ${source:Version})
Description: general-purpose compiled programming language - Development Headers
 Swift is a general-purpose, multi-paradigmed, compiled
 programming language built using a modern approach to safety,
 performance, and software design patterns.
 .
 The goal of the Swift project is to create the best available
 language for uses ranging from systems programming, to mobile
 and desktop apps, scaling up to cloud services. Most
 importantly, Swift is designed to make writing and maintaining
 correct programs easier for the developer.
 .
 This package contains the Swift libraries and headers to develop applications
 using Swift.

Package: swiftlang-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: general-purpose compiled programming language - Documentation
 Swift is a general-purpose, multi-paradigmed, compiled
 programming language built using a modern approach to safety,
 performance, and software design patterns.
 .
 The goal of the Swift project is to create the best available
 language for uses ranging from systems programming, to mobile
 and desktop apps, scaling up to cloud services. Most
 importantly, Swift is designed to make writing and maintaining
 correct programs easier for the developer.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# Disable LTO on Ubuntu where they enable it by default which breaks the
# build
export DEB_BUILD_MAINT_OPTIONS=$(shell if dpkg-vendor --derives-from Ubuntu; then echo "optimize=-lto"; fi)
export DEB_BUILD_MAINT_OPTIONS=$(shell if dpkg-vendor --derives-from Debian; then echo "optimize=-lto"; fi)

# Not compatible with wasm
export CFLAGS += -fcf-protection=none
export CXXFLAGS += -fcf-protection=none

VERSION = $(DEB_VERSION_UPSTREAM)

export PATH := $(CURDIR)/binforpython:$(PATH)

BUILD_SCRIPT_ARGS =
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	BUILD_SCRIPT_ARGS += -j $(NUMJOBS)
endif

%:
	dh $@

override_dh_auto_configure:
	mkdir -p $(CURDIR)/binforpython
	if test ! -f $(CURDIR)/binforpython/python; then \
		ln -s /usr/bin/python3 $(CURDIR)/binforpython/python; \
	fi

override_dh_auto_build:
	VERBOSE=1 swift/utils/build-script $(BUILD_SCRIPT_ARGS) --preset=buildbot_linux,no_test install_destdir=$(CURDIR) installable_package=$(CURDIR)/swiftlang_$(VERSION)-debian.tar.gz

override_dh_auto_install:
	mkdir -p lib/swift
	cp -r usr/* lib/swift
	mkdir -p bin
	mkdir -p lib
	ln -fs lib/swift/bin/swift bin/swift
	ln -fs lib/swift/bin/swiftc bin/swiftc
	ln -fs lib/swift/bin/sourcekit-lsp bin/sourcekit-lsp
	ln -fs libexec/swift/lib/swift lib/swift
	rm -f usr/share/swift/LICENSE.txt
	rm -rf usr/bin/sdk-module-lists
	rm -f usr/bin/*.cfg

execute_after_dh_fixperms:
	if test -d debian/swiftlang; then \
	    chmod -f -x debian/swiftlang/usr/libexec/swift/bin/sdk-module-lists/create-module-lists.sh; \
	    chmod -f -x debian/swiftlang/usr/libexec/swift/bin/sdk-module-lists/*.txt; \
	    find debian/swiftlang/usr/libexec/swift/lib -type f -exec chmod -f 0644 -- {} +; \
	    find debian/swiftlang/usr/libexec/swift/share -type f -exec chmod -f 0644 -- {} +; \
	fi
	if test -d debian/libswiftlang; then \
	    find debian/libswiftlang/usr/libexec/swift/lib -type f -exec chmod -f 0644 -- {} +; \
	fi
	if test -d debian/swiftlang-dev; then \
	    find debian/swiftlang-dev/usr/libexec/swift/include -type f -exec chmod 0644 -f -- {} +; \
	    find debian/swiftlang-dev/usr/libexec/swift/local -type f -exec chmod 0644 -f -- {} +; \
	fi
	if test -d debian/swiftlang-doc; then \
	    find debian/swiftlang-doc/usr/libexec/swift/share -type f -exec chmod 0644 -f -- {} +; \
	fi

EXCLUDE_DWZ_BINS = lldb-server sourcekit-lsp swift-build swift-build-sdk-interfaces \
    swift-driver swift-frontend swift-help swift-package swift-package-collection \
    swift-run swift-test liblldb.so libsourcekitdInProc.so lib_InternalSwiftScan.so \
    lib_InternalSwiftSyntaxParser.so libPackageDescription.so libPackagePlugin.so \
    docc libBlocksRuntime.so libFoundation.so libFoundationNetworking.so \
    libFoundationXML.so libdispatch.so libswiftDispatch.so libclang_rt libllbuild.so \
    plutil libllbuildSwift.so lib_FoundationICU.so swift-format libexec

override_dh_dwz:
	# These binaries have "Unknown" debugging sections which cause dwz to return 1
	dh_dwz $(foreach bin,$(EXCLUDE_DWZ_BINS),--exclude=$(bin))

# Running strip on repl_swift breaks the Swift REPL
override_dh_strip:
	dh_strip --exclude=swift/bin/repl_swift

override_dh_shlibdeps:
	dh_shlibdeps -ldebian/libswiftlang/usr/libexec/swift/lib/swift/linux/

override_dh_auto_clean:
	rm -rf $(CURDIR)/binforpython
	rm -rf debian/libswiftlang
	rm -rf debian/swiftlang
	rm -rf debian/swiftlang-dev
	rm -rf debian/swiftlang-doc
	rm -rf build
	rm -rf usr
	rm -rf lib
	rm -rf bin
	rm -rf man
	rm -f swiftlang_$(VERSION)-debian.tar.gz
	rm -f swift-corelibs-libdispatch/dispatch/module.mod
	rm -f swift-corelibs-libdispatch/dispatch/module.modulemap
	rm -f swift-corelibs-libdispatch/private/module.modulemap
	rm -f swift-driver/Package.resolved
	rm -f swift-docc/Package.resolved
	rm -rf swift-integration-tests/test-swift-docc/Output
	py3clean .
	dh_auto_clean
	debconf-updatepo
